## com.google.appengine.api.utils
Class HttpRequestParser

    java.lang.Object
      com.google.appengine.api.utils.HttpRequestParser

    public class HttpRequestParser

extends java.lang.Object

`HttpRequestParser` encapsulates helper methods used to parse incoming `multipart/form-data` HTTP requests. Subclasses should use these methods to parse specific requests into useful data structures.

Constructor Summary
`HttpRequestParser()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestParser

    public HttpRequestParser()